%define short_version 6.2.1
Summary: network probe
Name: nprobe
Version: %{short_version}_031011
Release: 1
License: GPL
Group: Networking/Utilities
URL: http://www.ntop.org/nProbe.html
Source: nprobe_%{version}_proplugins.tgz
Packager: Luca Deri <deri@ntop.org>
BuildArch: x86_64
BuildRoot:  %{_tmppath}/%{name}-%{version}-root 
Requires: pfring glibc >= 2.3.4 
BuildRequires: libtool automake autoconf pfring

%description
nprobe is a software NetFlow v5/v9/IPFIX and nFlow probe that allows to turn 
a PC into a NetFlow probe. It has been designed to be compact, easy to 
embed, an memory/CPU savvy.

%prep

%setup -q -n nprobe_%{version}_proplugins

%build
PATH=/usr/bin:/bin:/usr/sbin:/sbin

if [ -x ./configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./configure 
else
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh 
fi
make
#

# Installation may be a matter of running an install make target or you
# may need to manually install files with the install command.
%install
PATH=/usr/bin:/bin:/usr/sbin:/sbin
if [ -d $RPM_BUILD_ROOT ]; then
	\rm -rf $RPM_BUILD_ROOT
fi
make DESTDIR=$RPM_BUILD_ROOT install 
#
DST=$RPM_BUILD_ROOT/usr/local/nprobe
SRC=$RPM_BUILD_DIR/%{name}-%{version}
mkdir -p $DST/conf
# Clean out our build directory
%clean
rm -fr $RPM_BUILD_ROOT

%files
/usr/local/bin/nprobe
/usr/local/lib/libnprobe-%{short_version}.so
/usr/local/lib/libnprobe.la
/usr/local/lib/libnprobe.so
/usr/local/lib/nprobe/plugins/librtpPlugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/librtpPlugin.la
/usr/local/lib/nprobe/plugins/librtpPlugin.so
/usr/local/lib/nprobe/plugins/libsipPlugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/libsipPlugin.la
/usr/local/lib/nprobe/plugins/libsipPlugin.so
/usr/local/lib/nprobe/plugins/libdbPlugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/libdbPlugin.la
/usr/local/lib/nprobe/plugins/libdbPlugin.so
/usr/local/lib/nprobe/plugins/libbgpPlugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/libbgpPlugin.la
/usr/local/lib/nprobe/plugins/libbgpPlugin.so
/usr/local/lib/nprobe/plugins/libsmtpPlugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/libsmtpPlugin.la
/usr/local/lib/nprobe/plugins/libsmtpPlugin.so
/usr/local/lib/nprobe/plugins/libdumpPlugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/libdumpPlugin.la
/usr/local/lib/nprobe/plugins/libdumpPlugin.so
#/usr/local/lib/nprobe/plugins/libhttpPlugin-%{short_version}.so
#/usr/local/lib/nprobe/plugins/libhttpPlugin.la
#/usr/local/lib/nprobe/plugins/libhttpPlugin.so
/usr/local/lib/nprobe/plugins/libl7Plugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/libl7Plugin.la
/usr/local/lib/nprobe/plugins/libl7Plugin.so
#/usr/local/lib/nprobe/plugins/libnflitePlugin-%{short_version}.so
#/usr/local/lib/nprobe/plugins/libnflitePlugin.la
#/usr/local/lib/nprobe/plugins/libnflitePlugin.so
/usr/local/lib/libnprobe.a
/usr/local/lib/nprobe/plugins/libbgpPlugin.a
/usr/local/lib/nprobe/plugins/libdbPlugin.a
/usr/local/lib/nprobe/plugins/libdumpPlugin.a
/usr/local/lib/nprobe/plugins/libl7Plugin.a
/usr/local/lib/nprobe/plugins/libmysqlPlugin.a
/usr/local/lib/nprobe/plugins/librtpPlugin.a
/usr/local/lib/nprobe/plugins/libsipPlugin.a
/usr/local/lib/nprobe/plugins/libsmtpPlugin.a

/usr/local/lib/nprobe/plugins/libmysqlPlugin-%{short_version}.so
/usr/local/lib/nprobe/plugins/libmysqlPlugin.la
/usr/local/lib/nprobe/plugins/libmysqlPlugin.so


# Set the default attributes of all of the files specified to have an
# owner and group of root and to inherit the permissions of the file
# itself.
%defattr(-, root, root)

%changelog
* Tue Mar 29 2011 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 6.2.1.r4527-1.ru
- Rutgers Build
* Fri Jan 27 2006 Fernanda Weiden <nanda@google.com> 4.0
- Original upstream version


